package org.gaugebook.math;

import java.awt.geom.Point2D;

public class Trigonometry {
    
	public static Point2D getPoint(Point2D cp, double r, double alpha){
        Angle angle = new Angle( alpha );
        double x = cp.getX() + r * Math.cos( angle.getRadians() );
        double y = cp.getY() - r * Math.sin( angle.getRadians() );
        return new Point2D.Double(x, y);
    }

	public static Point2D getPoint(Point2D cp, double r, Angle angle ){
        double x = cp.getX() + r * Math.cos( angle.getRadians() );
        double y = cp.getY() - r * Math.sin( angle.getRadians() );
        return new Point2D.Double(x, y);
    }

}
