package org.gaugebook;

public class FKey {
	
	private String text = "UNDEF";
	private String eventname = "_NONE_";
	private boolean hasLED = false;
	private LED led = null;
	private boolean ledOn = false;
	private int keycode;
	
	public FKey( int keycode, String text, String eventname, boolean hasLED ) {
		this.keycode = keycode;
		this.text = text;
		this.eventname = eventname;
		this.hasLED = hasLED;
		// led = hasLED ? new LED() : null;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getEventname() {
		return eventname;
	}

	public void setEventname(String eventname) {
		this.eventname = eventname;
	}

	public boolean hasLED() {
		return hasLED;
	}

	public void setLED(boolean on) {
		if( hasLED() )
			ledOn = on;
	}
	
	public boolean idLEDon() {
		return ledOn;
	}
}
